%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-sqlobject
Version:        0.9.2
Release:        1%{?dist}
Summary:        SQLObject -Object-Relational Manager, aka database wrapper  

Group:          Development/Libraries
License:        LGPL
URL:            http://sqlobject.org/
Source0:        http://cheeseshop.python.org/packages/source/S/SQLObject/SQLObject-%{version}.tar.gz  

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

BuildRequires:  python-devel
Requires:       python-sqlite2, python-formencode >= 0.2.2


%description
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Futher database connectors have to be
installed separately.

%prep
%setup -q -n SQLObject-%{version}
rm -rf ez_setup

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc PKG-INFO README.txt docs

%dir %{python_sitelib}/sqlobject
%{python_sitelib}/sqlobject/*.py*

%dir %{python_sitelib}/sqlobject/firebird
%{python_sitelib}/sqlobject/firebird/*.py*

%dir %{python_sitelib}/sqlobject/inheritance
%{python_sitelib}/sqlobject/inheritance/*.py*

%dir %{python_sitelib}/sqlobject/manager
%{python_sitelib}/sqlobject/manager/*.py*

%dir %{python_sitelib}/sqlobject/maxdb
%{python_sitelib}/sqlobject/maxdb/*.py*

%dir %{python_sitelib}/sqlobject/mysql
%{python_sitelib}/sqlobject/mysql/*.py*

%dir %{python_sitelib}/sqlobject/mssql
%{python_sitelib}/sqlobject/mssql/*.py*

%dir %{python_sitelib}/sqlobject/postgres
%{python_sitelib}/sqlobject/postgres/*.py*

%dir %{python_sitelib}/sqlobject/sqlite
%{python_sitelib}/sqlobject/sqlite/*.py*

%dir %{python_sitelib}/sqlobject/sybase
%{python_sitelib}/sqlobject/sybase/*.py*

%dir %{python_sitelib}/sqlobject/util
%{python_sitelib}/sqlobject/util/*.py*

%dir %{python_sitelib}/sqlobject/include
%{python_sitelib}/sqlobject/include/*.py*

%dir %{python_sitelib}/sqlobject/versioning
%{python_sitelib}/sqlobject/versioning/__init__.py*

%dir %{python_sitelib}/sqlobject/include/pydispatch
%{python_sitelib}/sqlobject/include/pydispatch/*.py*

%{_bindir}/*

%changelog
* Tue Nov 27 2007 Luke Macken <lmacken@redhat.com> 0.9.2-1
- 0.9.2

* Wed Oct  3 2007 Luke Macken <lmacken@redhat.com> 0.9.1-1
- 0.9.1

* Sat Jun  2 2007 Luke Macken <lmacken@redhat.com> 0.9.0-1
- Latest upstream release

* Thu May  3 2007 Luke Macken <lmacken@redhat.com> 0.8.2-1
- 0.8.2

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> 0.7.3-1
- 0.7.3

* Mon Dec 18 2006 Luke Macken <lmacken@redhat.com> 0.7.2-3
- Require python-sqlite2

* Tue Dec 12 2006 Luke Macken <lmacken@redhat.com> 0.7.2-2
- Add python-devel to BuildRequires

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> 0.7.2-1
- 0.7.2
- Remove python-sqlobject-admin.patch, python-sqlobject-0.7.0-ordered-deps.patch
  and python-sqlobject-0.7.0-pkg_resources.patch

* Mon Sep 11 2006 Luke Macken <lmacken@redhat.com> 0.7.0-8
- python-sqlobject-0.7.0-ordered-deps.patch from upstream ticket
  http://trac.turbogears.org/turbogears/ticket/279 (Bug #205894)

* Fri Sep  8 2006 Luke Macken <lmacken@redhat.com> 0.7.0-7
- Include pyo files instead of ghosting them
- Rebuild for FC6

* Sun Jun  9 2006 Luke Macken <lmacken@redhat.com> 0.7.0-6
- Add python-sqlobject-0.7.0-pkg_resources.patch (Bug #195548)
- Remove unnecessary python-abi requirement

* Sun Oct 23 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-5.fc4
- fixed the changelog usage of a macro

* Sun Oct 23 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-4.fc4
- %%{?dist} for further distinguish the different builts.

* Tue Oct 13 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-3
- fixed a spelling error reported by rpmlint
- changed the installation to use -O1
- %ghost'ed the the resulting *.pyo files

* Tue Oct 06 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7.0-2
- fixed requirement for FormEncode >= 0.2.2
- Upgrade to upstream version 0.7.0

* Tue Sep 20 2005 Oliver Andrich <oliver.andrich@gmail.com> 0.7-0.1.b1
- Version 0.7b1
